Subject: Re: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jan 2023 09:21:14 +0200

> Date: Fri, 13 Jan 2023 15:19:31 -0800
> From:  Casey Connor via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When I do this:
> 
> $ mkdir test.deb
> $ cd test.deb
> $ emacs -Q test.sh
> 
> ...emacs opens but is hung: 100% usage of a core, apparently
> indefinitely. So far it seems to be the case that the directory must end
> in ".deb" and the file edited must end in ".sh".

I cannot reproduce this, neither with Emacs 27.1 nor with Emacs 28.
But I'm not on Debian.